%define debug_package %{nil}
%define base_install_dir %{_javadir}/elasticsearch

# Avoid running brp-java-repack-jars
%define __os_install_post %{nil}

Name:           elasticsearch-plugin-cloud-aws
Version:        2.4.1
Release:        1%{?dist}
Summary:        ElasticSearch plugin to use ec2 or unicast discovery

Group:          System Environment/Daemons
License:        ASL 2.0
URL:            https://github.com/sonian/elasticsearch-jetty
Source0:        https://download.elasticsearch.org/elasticsearch/elasticsearch-cloud-aws/elasticsearch-cloud-aws-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       elasticsearch >= 1.4, elasticsearch < 1.5

%description
The AWS Cloud plugin allows to use AWS EC2 API for the unicast discovery
mechanism as well as using S3 as a shared gateway.

%prep
rm -fR %{name}-%{version}
%{__mkdir} -p %{name}-%{version}
cd %{name}-%{version}
%{__mkdir} -p plugins
unzip %{SOURCE0} -d plugins/plugin-cloudaws

%build
true

%install
rm -rf $RPM_BUILD_ROOT
cd %{name}-%{version}

# libs
%{__mkdir} -p %{buildroot}/%{base_install_dir}/plugins
%{__cp} -r plugins/plugin-cloudaws %{buildroot}/%{base_install_dir}/plugins/cloud-aws

%files
%defattr(-,root,root,-)
%{base_install_dir}/plugins/cloud-aws

%changelog
* Mon Dec 01 2014 Wesley Hearn <whearn@redhat.com> - 2.4.1-1
- Updated to 2.4.1 for ES 1.4.x

* Tue Feb 18 2014 Wesley Hearn <whearn@redhat.com> - 1.10.0-1
- Initial package

